Skip to main content
GET
/
v1
/
kalshi
/
markets
List Kalshi Markets (Native)
curl --request GET \
  --url https://api.arbiterapi.com/v1/kalshi/markets \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "ticker": "KXBTC-26MAR28-100000",
      "event_ticker": "KXBTC",
      "series_ticker": "KXBTC",
      "title": "Will Bitcoin be above $100,000 on March 28?",
      "status": "active",
      "market_type": "binary",
      "yes_bid_dollars": "0.6500",
      "yes_ask_dollars": "0.6700",
      "no_bid_dollars": "0.3300",
      "no_ask_dollars": "0.3500",
      "last_price_dollars": "0.6500",
      "previous_price_dollars": "0.6200",
      "volume_fp": "15432.00",
      "volume_24h_fp": "3210.00",
      "open_interest_fp": "5000.00",
      "liquidity_dollars": "12500.00",
      "open_time": "2026-03-01T00:00:00Z",
      "close_time": "2026-03-28T23:59:00Z",
      "expiration_time": "2026-03-29T12:00:00Z",
      "created_time": "2026-02-28T10:00:00Z",
      "notional_value_dollars": "1.0000",
      "tick_size": "0.0100",
      "response_price_units": "usd_cent",
      "can_close_early": true
    }
  ],
  "cursor": "abc123",
  "has_more": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.arbiterapi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Query Parameters

market_ticker
string[] | null

Filter by market ticker(s)

event_ticker
string[] | null

Filter by event ticker(s)

series_ticker
string[] | null

Filter by series ticker(s)

search
string | null

Search market titles by keyword

status
enum<string>

Omit for all statuses.

Available options:
unopened,
open,
closed,
settled
min_volume
number | null

Minimum total volume (USD)

limit
integer
default:50
Required range: 1 <= x <= 100
cursor
string | null

Pagination cursor from previous response

Response

Paginated Kalshi markets